@charset 'utf-8';
/* ==========================================================================
Author        :  Arif Lutfhansah
Create        :  20 April 2018
Last Update   :  2 April 2020

Contents  :
  1: Body Section

  Copyright (c) 2020 Arif Lutfhansah
  
========================================================================== */

/*
  Transition
-------------------------------------*/
@mixin transition($time) {
  -webkit-transition: all $time ease-in-out;
     -moz-transition: all $time ease-in-out;
      -ms-transition: all $time ease-in-out;
       -o-transition: all $time ease-in-out;
          transition: all $time ease-in-out;
}
/*
  Animation Delay
-------------------------------------*/
@mixin animation-delay($time) {
  -webkit-animation-delay: $time;
     -moz-animation-delay: $time;
      -ms-animation-delay: $time;
       -o-animation-delay: $time;
          animation-delay: $time;
}

/*
  Body
-------------------------------------*/
body {
  background-color: #F2F5FE;
}

main {
  position: relative;
  top: 60px;
  z-index: 98;
  padding: 0 0 100px;
  margin-bottom: 60px;
  background-color: #F2F5FE;
  border-top-left-radius: 30px;
  .container {
    zoom: 1;
    &:before, &:after {
      display: block;
      content: '';
    }
    &:after {
      clear: both;
    }
  }
  /* --- Head --- */
  .head {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 25px;
    .title {
      color: #252525;
      font-size: 24px;
      font-weight: 900;
      &:after {
        content: "";
        display: block;
        width: 50%;
        padding-top: 8px;
        border-bottom: 3px solid #499AE8;
      }
    }
    .view-all {
      padding: 3px 0;
      a {
        color: #252525;
        font-size: 14px;
        font-weight: 900;
      }
    }
  }
  /* --- List News --- */
  .list-news {
    li {
      position: relative;
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      background-color: #FFFFFF;
      border-radius: 10px;
      margin-bottom: 25px;
      box-shadow: 0 0 15px 0 #D4D4D4;
      .image {
        -ms-flex: 0 0 30%;
        flex: 0 0 30%;
        max-width: 30%;
        overflow: hidden;
        border-top-left-radius: 10px;
        border-bottom-left-radius: 10px;
        img {
          object-fit: cover;
          width: 100%;
          height: 180px;
          border-top-left-radius: 10px;
          border-bottom-left-radius: 10px;
          webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
          transition: opacity 0.35s, transform 0.35s;
          webkit-transform: scale(1.15);
          transform: scale(1.15);
          &:hover {
            -webkit-transform: scale(1);
            transform: scale(1);
          }
        }
      }
      .block-caption {
        -ms-flex: 0 0 70%;
        flex: 0 0 70%;
        max-width: 70%;
        padding: 15px 30px 20px;
        background-color: #FFFFFF;
        border-bottom-left-radius: 10px;
        border-bottom-right-radius: 10px;
        .title {
          margin-bottom: 8px;
          a {
            position: relative;
            overflow: hidden;
            line-height: 140%;
            color: #252525;
            font-size: 20px;
            font-weight: 900;
            background: linear-gradient(to right, #E8E749, #E8E749 50%, #252525 50%);
            background-clip: text;
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            background-size: 200% 100%;
            background-position: 100%;
            transition: background-position 275ms ease;
            &:hover {
              background-position: 0 100%;
            }
          }
        }
        .category {
          display: inline-block;
          &.gen-news {
            a {
              color: #CEDD36;
            }
          }
          a {
            display: inline-block;
            padding: 4px 10px;
            margin-right: 5px;
            line-height: 12px;
            vertical-align: middle;
            font-size: 14px;
            border-width: thin;
            border-style: solid;
            border-radius: 30px;
          }
        }
        .time {
          display: inline-block;
          font-size: 14px;
          color: #B8B8B8;
        }
      }
    }
  }
  /* --- Headline --- */
  #headline {
    position: relative;
    margin: 0 0 50px;
    .image {
      border-radius: 10px;
      overflow: hidden;
      img {
        width: 100%;
        border-radius: 10px;
        webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
        transition: opacity 0.35s, transform 0.35s;
        webkit-transform: scale(1.15);
        transform: scale(1.15);
        &:hover {
          -webkit-transform: scale(1);
          transform: scale(1);
        }
      }
    }
    .caption {
      position: absolute;
      bottom: 0;
      width: 60%;
      padding: 20px 40px;
      background-color: rgba(0, 0, 0, .7);
      border-top-right-radius: 30px;
      border-bottom-left-radius: 10px;
      .title {
        margin-bottom: 5px;
        font-size: 30px;
        font-weight: 700;
        background: linear-gradient(to right, #E8E749, #E8E749 50%, #FFFFFF 50%);
        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        background-size: 200% 100%;
        background-position: 100%;
        transition: background-position 275ms ease;
        &:hover {
          background-position: 0 100%;
        }
      }
      .author {
        margin-bottom: 10px;
        color: #FFFFFF;
        span {
          font-weight: 700;
        }
      }
      .subtitle {
        color: #FFFFFF;
      }
    }
  }
  #view {
    float: left;
    width: 870px;
    margin-right: 40px;
  }
  #sidebar {
    float: right;
    width: 350px;
    padding-bottom: 280px;
    &.fixed {
      position: sticky;
      top: 10px;
      right: 0;
      #trending-topic, #announcement {
        display: none;
      }
    }
    /* --- Trending Topic --- */
    #trending-topic {
      margin-bottom: 30px;
      .head {
        padding: 0;
      }
      ul {
        text-align: center;
      }
      li {
        display: inline-block;
        width: calc(50% - 10px);
        &:last-child {
          a {
            color: #FAFEFC;
            background-color: #E8E749;
          }
        }
      }
      a {
        padding: 8px 20px;
        margin-bottom: 10px;
        font-size: 14px;
        font-weight: 900;
        text-align: center;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        color: #252525;
        background-color: #FFFFFF;
        border-radius: 30px;
        border: 1px solid #EEEEEE;
        @include transition(.3s);
        &:hover {
          color: #FAFEFC;
          background-color: #499AE8;
        }
      }
      i {
        position: relative;
        top: 1px;
        margin-left: 5px;
      }
    }
    /* --- Announcement --- */
    #announcement {
      padding: 30px 25px;
      margin: 0 0 30px;
      color: #252525;
      background-color: #FFFFFF;
      border-radius: 15px;
      box-shadow: 0 0 8px 0 #D4D4D4;
      a {
        font-weight: 700;
        color: #E8494B;
      }
    }
    /* --- Terpopuler --- */
    #terpopuler {
      .list {
        padding: 30px 0;
        background-color: #FFFFFF;
        border-radius: 15px;
        box-shadow: 0 0 8px 0 #D4D4D4;
      }
      .item {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        padding: 0 20px;
        margin-bottom: 25px;
        &:hover {
          .rank {
            font-size: 36px;
            color: #E8E749;
          }
        }
        &:last-of-type {
          padding-bottom: 0;
          margin-bottom: 0;
        }
        .rank {
          flex: 0 0 40px;
          height: 40px;
          padding: 7px 0;
          margin-right: 20px;
          text-align: center;
          font-family: 'Jost', sans-serif;
          font-size: 28px;
          font-weight: 900;
          color: #403D3D;
          @include transition(.2s);
        }
        .title {
          line-height: 140%;
          font-family: 'Jost', sans-serif;
          font-size: 18px;
          font-weight: 700;
          background: linear-gradient(to right, #E8E749, #E8E749 50%, #252525 50%);
          background-clip: text;
          -webkit-background-clip: text;
          -webkit-text-fill-color: transparent;
          background-size: 200% 100%;
          background-position: 100%;
          transition: background-position 275ms ease;
          &:hover {
            background-position: 0 100%;
          }
        }
        img {
          width: 90px;
          height: 60px;
          object-fit: cover;
          border-radius: 7px;
        }
      }
    }
  }
}
/* --- Button --- */
.btn-center {
  display: block;
  width: 60%;
  margin: 40px auto;
  padding: 12px 0;
  color: #FAFEFC;
  font-size: 16px;
  font-weight: 900;
  text-align: center;
  border: 1px solid #499AE8;
  border-radius: 30px;
  background-color: #499AE8;
  @include transition(.3s);
  &:hover {
    color: #499AE8;
    background-color: #FAFEFC;
  }
}

/* --- Detail --- */
#detail {
  #view {
    padding-right: 20px;
  }
  /* --- Breadcrumb --- */
  .breadcrumb {
    margin-bottom: 20px;
    li {
      display: inline-block;
      padding-right: 5px;
      &:last-child {
        a {
          color: #499AE8;
        }
      }
      a {
        color: #252525;
        font-size: 14px;
      }
      i {
        font-size: 12px;
      }
    }
  }
  .title-news {
    margin-bottom: 15px;
    color: #252525;
    font-size: 36px;
    font-weight: 700;
  }
  .author-news {
    a {
      margin-bottom: 6px;
      color: #499AE8;
      font-size: 18px;
    }
  }
  .time-news {
    display: block;
    margin-bottom: 30px;
    color: #252525;
    font-size: 16px;
  }
  .paragraph {
    display: block;
    margin-bottom: 20px;
    color: #252525;
    font-size: 18px;
    line-height: 26px;
  }
  .primary-image-news {
    img {
      width: 100%;
      border-radius: 10px;
    }
  }
  .image-caption {
    color: #252525;
    font-size: 12px;
    text-align: center;
    margin: 8px 0 25px 0;
  }
  /* --- Tag --- */
  #tag {
    margin-top: 30px;
    li {
      display: inline-block;
      padding: 0 5px 10px 0;
      i {
        position: relative;
        top: 1px;
        padding-right: 3px;
      }
      a {
        padding: 5px 20px;
        color: #499AE8;
        font-size: 14px;
        font-weight: 900;
        text-align: center;
        border: 1px solid #499AE8;
        border-radius: 30px;
        background-color: transparent;
        transition: all .3s ease-in-out;
        &:hover {
          color: #FFFFFF;
          background-color: #499AE8;
        }
      }
    }
  }
  /* --- Social Media Share --- */
  #social-media-share {
    width: 260px;
    text-align: center;
    padding-bottom: 20px;
    margin: 40px auto 10px;
    border-bottom: 1px solid #EEEEEE;
    .head {
      display: block;
      text-align: center;
      font-family: 'Jost', sans-serif;
      font-size: 18px;
      font-weight: 700;
      margin-bottom: 15px;
    }
    li {
      display: inline-block;
      img {
        width: 56px;
      }
    }
  }
  /* --- Emoticon --- */
  .emoticon {
    margin-bottom: 30px;
    text-align: center;
    li {
      display: inline-block;
      padding: 8px;
      cursor: pointer;
      span {
        display: block;
        background-color: #FAFEFC;
        border-radius: 50px;
      }
      svg {
        width: 40px !important;
        margin-bottom: 6px;
      }
    }
  }
  .linked-news {
    margin-bottom: 40px;
  }
  .other-news {
    margin-bottom: 40px;
  }
  .r-square {
    margin: 20px 0;
    img {
      width: 100%;
    }
  }
}